aboutsummaryrefslogtreecommitdiffstats
path: root/core/ncurses/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-10-21 06:55:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-10-21 06:55:07 +0000
commitd85401acbe2670f4c019057d367b849876afdc61 (patch)
treeecb0d6d8e747226199a2668ee557c59e1a897b67 /core/ncurses/APKBUILD
parent0b1425f4f87359c3c039d0de95c351a8cafe182e (diff)
downloadaports-d85401acbe2670f4c019057d367b849876afdc61.tar.gz
aports-d85401acbe2670f4c019057d367b849876afdc61.tar.bz2
aports-d85401acbe2670f4c019057d367b849876afdc61.tar.xz
added ncurses
Without wide chars for now
Diffstat (limited to 'core/ncurses/APKBUILD')
-rw-r--r--core/ncurses/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/core/ncurses/APKBUILD b/core/ncurses/APKBUILD
new file mode 100644
index 0000000000..de9875474b
--- /dev/null
+++ b/core/ncurses/APKBUILD
@@ -0,0 +1,39 @@
+#!/bin/sh
+pkgname=ncurses
+pkgver=5.6
+pkgrel=0
+pkgdesc="Console display library"
+url="http://www.gnu.org/software/ncurses/"
+license=MIT
+source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ ftp://invisible-island.net/ncurses/${pkgver}/${pkgname}-${pkgver}-coverity.patch.gz
+ "
+subpackages="dev doc terminfo"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ gunzip -c ../$pkgname-$pkgver-coverity.patch.gz | patch -p1
+
+ ./configure \
+ --disable-ada \
+ --without-cxx-binding \
+ --with-shared
+
+ # fix parallell builds by building sources first
+ make -j1 sources
+ make || return 1
+
+ make install DESTDIR=$pkgdir/
+}
+
+terminfo() {
+ local orig=$pkgdir
+ pkgdir="$pkgdir-terminfo"
+ pkgname="Database with info for different terminals"
+ rm -r $pkgdir
+ mkdir -p $pkgdir/usr/share
+ mv $orig/usr/share/terminfo $pkgdir/usr/share
+}
+
+md5="b6593abe1089d6aab1551c105c9300e3 ncurses-5.6.tar.gz
+27607b10fef869740cbcc408d86695b1 ncurses-5.6-coverity.patch.gz"